Skip to content

moon-2.5-gl 系列

Moon-2.5 GL 系列适合纯文本生成、图片参考和多素材参考;当前公开型号为 moon-2.5-gl-a。模型通过统一的视频任务接口调用,按生成时长计费;当前价格以价格接口和控制台显示为准。

当前配置

项目说明
创建入口POST /v1/videos
查询入口GET /v1/videos/{task_id}GET /v1/tasks/{task_id}
推荐素材字段references[]
分辨率480P720P
时长430
比例9:1616:91:121:94:33:4
计费维度按秒计费

能力边界

能力支持情况
文生视频支持
图片参考支持,最多 30 张
视频参考支持,最多 10 个
音频参考支持,最多 10 个;必须同时提供图片或视频
混合素材最多 50 个参考素材
素材来源稳定公网 URL 或当前模型可用的 Asset://asset_xxx 引用

音频参考不能作为唯一素材单独提交。generate_audio 不是本模型的可控能力字段,请不要依赖该字段控制输出音轨;最终音频轨道以模型结果为准。

创建任务

纯文本生成

bash
curl https://moonapix.com/v1/videos \
  -H "Authorization: Bearer <MOONAPIX_API_KEY>" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "moon-2.5-gl-a",
    "prompt": "A calm cinematic shot of silver and teal ribbons flowing through a clean studio space.",
    "duration": 4,
    "ratio": "16:9",
    "resolution": "480P"
  }'

多素材参考

json
{
  "model": "moon-2.5-gl-a",
  "prompt": "Keep the composition and motion style of the references, with a smooth cinematic camera move.",
  "duration": 8,
  "ratio": "16:9",
  "resolution": "720P",
  "references": [
    {
      "media_type": "image",
      "role": "reference_image",
      "url": "https://example.com/scene.png",
      "alias": "scene"
    },
    {
      "media_type": "video",
      "role": "reference_video",
      "url": "https://example.com/motion.mp4",
      "alias": "motion"
    }
  ]
}

alias 不要带 @;提示词中使用 @alias 绑定对应素材。提交前请确认公网 URL 可匿名下载、媒体类型正确,并在任务执行期间保持有效。

查询结果

创建响应只表示任务已提交。保存 task_idid,然后查询任务:

bash
curl https://moonapix.com/v1/videos/{task_id} \
  -H "Authorization: Bearer <MOONAPIX_API_KEY>"

先检查 statuserror。任务成功后,可使用标准内容入口读取视频:

bash
curl -L https://moonapix.com/v1/videos/{task_id}/content \
  -H "Authorization: Bearer <MOONAPIX_API_KEY>" \
  -o output.mp4

相关页面